Can't compile apache2 with worker

Martin Nilsson martin at gneto.com
Thu Jan 15 13:16:58 PST 2004


I can't compile apache2 WITH_MPM=worker anymore I have tried both on 4.9 
and on 5.2-CURRENT.

I get lots of "undefined reference to pthread_* " in libapr-0.so

Does anyone have apache2 working with the worker mpm?
A couple of days ago php4 (imp3) made the server segfault all the time, 
a couple of months ago it segfaulted when using SSL.
mod_perl2 seemed to work OK with worker when I tried last weekend.

Should I just forget threaded apache on FreeBSD?



More information about the freebsd-ports mailing list